# dkim_getmode()

[back to index]

SYNOPSIS

    #include <dkim.h>

    int dkim_getmode(
    	DKIM *dkim
    );

Retrieve the mode of a DKIM handle.

DESCRIPTION

Called When | `dkim_getmode()` can be called at any time after a handle is initialized with a call to `dkim_sign()` or `dkim_verify()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`.

RETURN VALUES

Value | Description
--- | ---
`DKIM_MODE_SIGN` | The DKIM handle provided is a signing handle.
`DKIM_MODE_VERIFY` | The DKIM handle provided is a verifying handle.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.